### Method

# GUPnP ServiceProxy set_subscribed

#### Declaration [src]

    void
    gupnp_service_proxy_set_subscribed (
      GUPnPServiceProxy* proxy,
      gboolean subscribed
    )

#### Description [src]

(Un)subscribes to this service.

<note>The relevant messages are not immediately sent but queued. If you want to unsubcribe from this service because the application is quitting, rely on automatic synchronised unsubscription on object destruction instead.</note>.

Sets property | `GUPnP.ServiceProxy:subscribed`

#### Parameters

`subscribed`

  Type: `gboolean`

  `TRUE` to subscribe to this service.